<?xml version="1.0" encoding="utf-8"?>
<androidx.swiperefreshlayout.widget.SwipeRefreshLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/refreshView"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/ui_surface">

        <ImageView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:adjustViewBounds="true"
            android:src="@drawable/bg_video_data_appbar" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <com.gh.gamecenter.common.view.StatusBarView
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />

            <include
                android:id="@+id/reuse_toolbar"
                layout="@layout/reuse_toolbar" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/listRv"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent" />

                <include
                    android:id="@+id/reuse_loading"
                    layout="@layout/reuse_loading"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerInParent="true" />

                <include
                    android:id="@+id/reuse_no_connection"
                    layout="@layout/reuse_no_connection" />

                <include
                    android:id="@+id/reuse_none_data"
                    layout="@layout/reuse_none_data" />

                <include
                    android:id="@+id/reuse_data_exception"
                    layout="@layout/reuse_data_exception" />

            </RelativeLayout>
        </LinearLayout>
    </RelativeLayout>
</androidx.swiperefreshlayout.widget.SwipeRefreshLayout>